Bug 1290231 - (rubygem-nifti) Review Request: rubygem-nifti - A pure Ruby API to the NIfTI Neuroimaging Format
Review Request: rubygem-nifti - A pure Ruby API to the NIfTI Neuroimaging Format
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-neuro
  Show dependency treegraph
 
Reported: 2015-12-09 16:40 EST by Ilya Gradina
Modified: 2016-01-16 08:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-16 08:23:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ignatenko: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ilya Gradina 2015-12-09 16:40:24 EST
Spec URL: https://github.com/neurofedora/rubygem-nifti/raw/master/rubygem-nifti.spec
SRPM URL: https://github.com/neurofedora/rubygem-nifti/raw/master/rubygem-nifti-0.0.2-1.fc24.src.rpm
Description:  A pure Ruby API to the NIfTI Neuroimaging Format
Fedora Account System Username: ilgrad
Comment 1 Igor Gnatenko 2015-12-10 18:08:52 EST
> Group: Development/Languages
not needed

> License:      LGPLv3
LGPLv3+
Comment 2 Ilya Gradina 2015-12-11 00:06:14 EST
Hi Igor,

Thanks.

New Spec URL: https://github.com/neurofedora/rubygem-nifti/raw/master/rubygem-nifti.spec
New SRPM URL: https://github.com/neurofedora/rubygem-nifti/raw/master/rubygem-nifti-0.0.2-2.fc24.src.rpm

change license and delete group.
Comment 3 Igor Gnatenko 2015-12-12 08:30:26 EST
> rubygem-nifti.src: E: description-line-too-long C NIfTI (Neuroimaging Informatics Technology Initiative) is an image format designed primarily
Split line by 80 characters.

> rubygem-nifti.src:85: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 85)
No comments, just fix it. Use spaces in line #85.

>   sed -i  "s/config.color_enabled = true/config.color = true/g"    spec/spec_helper.rb
you can use:
sed -i "s/config.color_enabled =/config.color =/g" spec/spec_helper.rb


Other stuff looks good. You can fix all stuff during import into Fedora.

APPROVED.
Comment 5 Igor Gnatenko 2015-12-14 15:32:54 EST
Did you requested package in pkgdb?
Comment 6 Ilya Gradina 2015-12-14 15:34:14 EST
(In reply to Igor Gnatenko from comment #5)
> Did you requested package in pkgdb?

Yes
Comment 7 Upstream Release Monitoring 2015-12-14 15:37:40 EST
ilgrad's scratch build of rubygem-nifti-0.0.2-3.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12188869
Comment 8 Gwyn Ciesla 2015-12-15 09:44:05 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rubygem-nifti
Comment 9 Fedora Update System 2015-12-15 14:41:30 EST
rubygem-nifti-0.0.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9a13fa60b9
Comment 10 Fedora Update System 2015-12-16 20:59:45 EST
rubygem-nifti-0.0.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update rubygem-nifti'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9a13fa60b9
Comment 11 Fedora Update System 2016-01-16 08:23:46 EST
rubygem-nifti-0.0.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.